Bug 15687 - Eterm sends wrong code for backspace home,end and F1-F4
Summary: Eterm sends wrong code for backspace home,end and F1-F4
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Powertools
Classification: Retired
Component: Eterm (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Powers
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-07 22:33 UTC by Hans de Goede
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-19 12:32:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
new patch fixing the described problems. (6.08 KB, patch)
2000-08-07 22:34 UTC, Hans de Goede
no flags Details | Diff

Description Hans de Goede 2000-08-07 22:33:17 UTC
Eterm sends the wrong code for backspace it sends ^H while it should send
\0177. Also the patch in the SRPM makes it sends the wrong codes for home
and end, the defaults are correct. I know the patch currently in is my own,
but RedHat switched to the debian keybinding standard afterwards, so the
original patch is no longer correct. Last it sends VT220 codes for F1-F4
where it should send VT100 codes, as xterm does.

I'll attach a new version of the backspace-etc patch which fixes all the
above bugs.

Comment 1 Hans de Goede 2000-08-07 22:34:18 UTC
Created attachment 2221 [details]
new patch fixing the described problems.

Comment 2 Tim Powers 2000-08-08 20:21:37 UTC
Thanks. The patch has been applied, and it's built.

Tim

Comment 3 Hans de Goede 2000-08-19 11:31:06 UTC
Verified, its fine now.

One very small nitpick, very probably for 7.1 there are still them.cfg.in.orig
files in /usr/share/Eterm/themes/*

Possible fix, don't lett patch make backups in the spec


Comment 4 Tim Powers 2000-08-19 12:06:42 UTC
Why wait till 7.1 for this? Fixed.

Tim

Comment 5 Hans de Goede 2000-08-19 12:32:48 UTC
I understood you were in this very deep code freeze.



Note You need to log in before you can comment on or make changes to this bug.